#include <Xm/Xm.h>	/* OSF/Motif include */
#include <Xm/PushB.h>	/* OSF/Motif button widget */
#include <Xm/Form.h>	/* OSF/Motif form widget */
#include <X11/Xmu/Editres.h>
#include <stdio.h>
#include <stdlib.h>

void button_cb(Widget widget, XtPointer client_data, XtPointer call_data)
{
	fprintf(stderr, "Button pressed\n");
}


int main(int argc, char **argv)
{
	Widget toplevel, box, button, button2;
	XtAppContext app_context;
	XmString str;

/* Initialize I18N */
	XtSetLanguageProc(NULL, NULL, NULL);
/* Initialize toolkit */
	toplevel = XtVaAppInitialize(
			&app_context,		/* application context */
			"Example",		/* application name */
			NULL, 0, 		/* cmd option list */
			&argc, argv,		/* cmd args */
			NULL,			/* fallback resources */
			XmNtitle, "Example",
			XmNminWidth, 160,
			XmNminHeight, 110,
			NULL);			/* resources */
/* Create container */
	box = XtVaCreateManagedWidget(
			"box", 			/* widget name */
			xmFormWidgetClass,	/* widget class */
			toplevel, 		/* parent */
			XmNhorizontalSpacing, 40,
			XmNverticalSpacing, 40,
			NULL);
/* Create button */
	str = XmStringCreateLocalized("Click here");
	button = XtVaCreateManagedWidget(
			"button", 		/* widget name */
			xmPushButtonWidgetClass,/* widget class */
			box, 			/* parent */
			XmNlabelString, str,
/* setup alignment in form */
			XmNleftAttachment, XmATTACH_FORM,
			XmNrightAttachment, XmATTACH_FORM,
			XmNtopAttachment, XmATTACH_FORM,
			XmNbottomAttachment, XmATTACH_FORM,
			NULL);
	XmStringFree(str);

/* Register callback */
	XtAddCallback(button, XmNactivateCallback, button_cb, NULL);

/* Realize widget tree */
	XtRealizeWidget(toplevel);

/* Hack for editres */
	XtAddEventHandler(toplevel, 0, True, _XEditResCheckMessages, NULL);

/* Main loop */
	XtAppMainLoop(app_context);
	return 0;
}
